Bug 744944 - Review Request: humanity-icon-theme - Humanity icon theme
Summary: Review Request: humanity-icon-theme - Humanity icon theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 744950 744951 (view as bug list)
Depends On:
Blocks: 744948
TreeView+ depends on / blocked
 
Reported: 2011-10-10 21:50 UTC by Mohamed El Morabity
Modified: 2011-11-25 02:12 UTC (History)
3 users (show)

Fixed In Version: humanity-icon-theme-0.5.3.11-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-25 03:41:00 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mohamed El Morabity 2011-10-10 21:50:12 UTC
Spec URL: http://melmorabity.fedorapeople.org/packages/humanity-icon-theme/humanity-icon-theme.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/humanity-icon-theme/humanity-icon-theme-0.5.3.11-1.fc16.src.rpm
Description:
Humanity and Humanity Dark are nice and well polished icon themes for the GNOME
desktop.

Notes:
* builds fine in mock
* rpmlint :
$ rpmlint humanity-icon-theme-0.5.3.11-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint humanity-icon-theme-0.5.3.11-1.fc16.noarch.rpm
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/22/distributor-logo.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/48/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/humanity-icon-theme-0.5.3.11/COPYING
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/64/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/16/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/16/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/22/distributor-logo.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/24/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/24/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/64/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/24/distributor-logo.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/24/distributor-logo.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity/places/22/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/22/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
humanity-icon-theme.noarch: W: dangling-symlink /usr/share/icons/Humanity-Dark/places/48/start-here.svg /usr/share/icons/hicolor/scalable/apps/start-here.svg
1 packages and 0 specfiles checked; 1 errors, 14 warnings.
> The symlink issues should be ignored; the package replace Ubuntu logos for start-here icons by Fedora logos with symlinks.

Comment 1 Mohamed El Morabity 2011-10-10 22:19:06 UTC
*** Bug 744950 has been marked as a duplicate of this bug. ***

Comment 2 Mohamed El Morabity 2011-10-10 22:21:12 UTC
*** Bug 744951 has been marked as a duplicate of this bug. ***

Comment 3 Mohamed El Morabity 2011-10-11 23:04:50 UTC
A few fixes:
Spec URL:
http://melmorabity.fedorapeople.org/packages/humanity-icon-theme/humanity-icon-theme.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/humanity-icon-theme/humanity-icon-theme-0.5.3.11-2.fc16.src.rpm

The package doesn't depend on fedora-logos anymore:
- probably a too strict dependency for those who don't/can't have fedora-logos installed (cf generic-logos)
- the theme inherits from gnome-icon-themes which provides its own distributor logos; by the way, the Fedora logo isn't visible on a GNOME 3 desktop session.

Comment 4 Mario Blättermann 2011-10-13 19:13:47 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3429303

$ rpmlint -i -v *
humanity-icon-theme.src: I: checking
humanity-icon-theme.src: I: checking-url https://launchpad.net/humanity/ (timeout 10 seconds)
humanity-icon-theme.src: W: invalid-url Source0: humanity-icon-theme-0.5.3.11-without-logos.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

humanity-icon-theme.noarch: I: checking
humanity-icon-theme.noarch: I: checking-url https://launchpad.net/humanity/ (timeout 10 seconds)
humanity-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/humanity-icon-theme-0.5.3.11/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

humanity-icon-theme.spec: W: invalid-url Source0: humanity-icon-theme-0.5.3.11-without-logos.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

/home/mariobl/Downloads/Reviews/humanity-icon-theme/humanity-icon-theme-0.5.3.11-2.fc16.src/humanity-icon-theme.spec: W: invalid-url Source0: humanity-icon-theme-0.5.3.11-without-logos.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 2 specfiles checked; 1 errors, 3 warnings.



Your way to generate the tarball isn't canonical. In my mind, you should use the original tarball and run your script in %build. This makes it easier to get the checksum for the tarball.

The incorrect FSF address doesn't need to be fixed, but it is worth an upstream bug.

Comment 5 Mohamed El Morabity 2011-10-14 18:09:31 UTC
(In reply to comment #4)
> Your way to generate the tarball isn't canonical. In my mind, you should use
> the original tarball and run your script in %build. This makes it easier to get
> the checksum for the tarball.
I'm just following this page:
   http://fedoraproject.org/wiki/Packaging:SourceURL#When_Upstream_uses_Prohibited_Code
I can't embed the original tarball in the source RPM because it contains nonfree items (Ubuntu logo is copyrighted).

Comment 6 Mario Blättermann 2011-10-16 12:48:00 UTC
(In reply to comment #5)
> I'm just following this page:
>   
> http://fedoraproject.org/wiki/Packaging:SourceURL#When_Upstream_uses_Prohibited_Code
> I can't embed the original tarball in the source RPM because it contains
> nonfree items (Ubuntu logo is copyrighted).

OK, I didn't know about that.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source.
    Due to that the original tarball needs to be re-packed to remove copyrighted
    files, it is impossible to verify the checksums. The bzip2 stack doesn't 
    work always identically. 

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Tested in F15. Works as expected.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------


Here's the bug report for the wrong FSF address:

https://bugs.launchpad.net/humanity/+bug/875695

Comment 7 Mohamed El Morabity 2011-10-16 12:53:43 UTC
Thank you for the review. Thanks also for the bug report ;)

Comment 8 Mohamed El Morabity 2011-10-16 12:55:05 UTC
New Package SCM Request
=======================
Package Name: humanity-icon-theme
Short Description: Humanity icon theme
Owners: melmorabity
Branches: f15 f16
InitialCC:

Comment 9 Gwyn Ciesla 2011-10-16 16:48:59 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-10-16 18:23:24 UTC
humanity-icon-theme-0.5.3.11-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/humanity-icon-theme-0.5.3.11-2.fc16

Comment 11 Fedora Update System 2011-10-16 19:26:16 UTC
humanity-icon-theme-0.5.3.11-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/humanity-icon-theme-0.5.3.11-2.fc15

Comment 12 Fedora Update System 2011-10-17 00:31:22 UTC
humanity-icon-theme-0.5.3.11-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-10-25 03:41:00 UTC
humanity-icon-theme-0.5.3.11-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2011-11-25 02:12:39 UTC
humanity-icon-theme-0.5.3.11-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.